> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/api/pt/api-de-insercao-de-anuncios.md).

# API de Inserção de Anúncios

A API de Posicionamento de Anúncios permite que os editores criem as suas próprias tags publicitárias. Podem usá-la para gerar um pedido de anúncio e obter de volta todos os dados de que precisam para exibir um anúncio.

A API de Posicionamento de Anúncios suporta atualmente os seguintes formatos, tanto em Desktop como em Mobile: **Banners**, **Banners fixos**, **Mensagens instantâneas**, **Interstitials de página inteira**, **Outstreams**, **Sliders de vídeo**, **Anúncios nativos**, **Notificações push na página** & **Anúncios multiformato**.

Os URLs a serem usados como endpoints são:

* <http://s.pemsrv.com/v1/api.php> para **Interstitial de página inteira** pedidos.
* <http://s.magsrv.com/v1/api.php> para **todos os outros formatos de anúncio**.

Os pedidos e as respostas estão em JSON.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.exoclick.com/api/pt/api-de-insercao-de-anuncios.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
